Page MenuHomePhabricator

[Epic] Implement fulltext search for Lexemes
Closed, ResolvedPublic

Description

This epic is for implementing fulltext search (aka Special:Search) supporting entity types defined in WikibaseLexeme extension.

See also:

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterRender form features the same way Form UI does

Event Timeline

@Smalyshev Is there anything left from our side to do here? Anything we can do to help get it rolling?

I think this is mostly ready for work. We will need to define the results format, but we can talk about it as it goes. I planned to look into it after the Hackathon. My understanding was that the fulltext search is not part of the required first release feature set?

Smalyshev triaged this task as Medium priority.May 8 2018, 6:53 PM

@Lydia_Pintscher Do we want to do it before T190022 or after? Because one has to be done before the other.

Smalyshev moved this task from Backlog to Next on the User-Smalyshev board.May 18 2018, 4:26 PM
Smalyshev moved this task from Next to Doing on the User-Smalyshev board.May 29 2018, 7:49 PM

Change 448633 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/WikibaseLexeme@master] Render form features the same way Form UI does

https://gerrit.wikimedia.org/r/448633

Smalyshev moved this task from Waiting/Blocked to Done on the User-Smalyshev board.

Change 448633 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Render form features the same way Form UI does

https://gerrit.wikimedia.org/r/448633

debt closed this task as Resolved.Sep 13 2018, 9:24 PM